---
updatedAt: 2026-09-10T00:45:39.000Z
agentTools:
  projectIndex: https://docs.spinwheel.io/llms.txt
---

# Retrieve Bank Account Data

Get the status of a real time balance lookup

# OpenAPI definition

```json
{
  "openapi": "3.0.0",
  "paths": {
    "/v1/users/{userId}/bankAccounts/{bankAccountId}/lookup/{extRequestId}": {
      "get": {
        "operationId": "Get Transaction Status",
        "summary": "Retrieve Bank Account Data",
        "description": "Get the status of a real time balance lookup",
        "parameters": [
          {
            "name": "userId",
            "required": true,
            "in": "path",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "bankAccountId",
            "required": true,
            "in": "path",
            "schema": {
              "type": "string"
            }
          },
          {
            "name": "extRequestId",
            "required": true,
            "in": "path",
            "schema": {
              "type": "string"
            }
          }
        ],
        "responses": {
          "200": {
            "description": "Successful response",
            "content": {
              "application/json": {
                "schema": {
                  "$ref": "#/components/schemas/BankAccountTransactionStatusResponse"
                },
                "examples": {
                  "Success - In Progress": {
                    "value": {
                      "status": {
                        "code": 200,
                        "desc": "success"
                      },
                      "data": {
                        "extRequestId": "a204608e-4080-46e3-ab62-2fb5d93683d5",
                        "refreshTransactionStatus": "IN_PROGRESS",
                        "refreshTransactionId": "e671e113-9174-494a-8382-b4b654fdc70a",
                        "userId": "699a119b-9b99-401d-8632-27402188508b",
                        "bankAccountId": "6cf236ca-3806-48b6-937d-127d6e5322b0",
                        "nextEligibleRefreshOn": 1744301190924,
                        "results": {
                          "accountBalance": null
                        }
                      }
                    }
                  },
                  "Success - Complete": {
                    "value": {
                      "status": {
                        "code": 200,
                        "desc": "success"
                      },
                      "data": {
                        "extRequestId": "a204608e-4080-46e3-ab62-2fb5d93683d5",
                        "refreshTransactionStatus": "COMPLETED",
                        "refreshTransactionId": "e671e113-9174-494a-8382-b4b654fdc70a",
                        "userId": "699a119b-9b99-401d-8632-27402188508b",
                        "bankAccountId": "6cf236ca-3806-48b6-937d-127d6e5322b0",
                        "nextEligibleRefreshOn": 1744301190924,
                        "results": {
                          "accountBalance": 1700
                        }
                      }
                    }
                  },
                  "Success - Failed": {
                    "value": {
                      "status": {
                        "code": 200,
                        "desc": "success"
                      },
                      "data": {
                        "extRequestId": "a204608e-4080-46e3-ab62-2fb5d93683d5",
                        "refreshTransactionStatus": "FAILED",
                        "refreshTransactionId": "e671e113-9174-494a-8382-b4b654fdc70a",
                        "userId": "699a119b-9b99-401d-8632-27402188508b",
                        "bankAccountId": "6cf236ca-3806-48b6-937d-127d6e5322b0",
                        "nextEligibleRefreshOn": 1744301190924,
                        "results": {
                          "accountBalance": null
                        }
                      }
                    }
                  }
                }
              }
            }
          }
        },
        "tags": [
          "Real-Time Data"
        ],
        "security": [
          {
            "bearerAuth": []
          }
        ]
      }
    }
  },
  "info": {
    "title": "Optimize",
    "description": "Welcome to Spinwheel's documentation! ",
    "version": "1.0",
    "contact": {}
  },
  "tags": [
    {
      "name": "Real-Time Data"
    }
  ],
  "servers": [
    {
      "url": "https://sandbox-api.spinwheel.io"
    },
    {
      "url": "https://api.spinwheel.io"
    },
    {
      "url": "https://secure-api.spinwheel.io"
    },
    {
      "url": "https://secure-sandbox-api.spinwheel.io"
    }
  ],
  "components": {
    "securitySchemes": {
      "bearerAuth": {
        "type": "apiKey",
        "in": "header",
        "name": "Authorization",
        "description": "Once you've created a Spinwheel account and received credentials, you can access all of Spinwheel's APIs using a server-to-server call (in order to protect your credentials). When calling an API simply include your secretKey as a bearer token in an auth header like so: \n\n `Authorization: Bearer 8ae8d6fa-df8d-4c5d-9f9b-c4e4c10968b0`"
      }
    },
    "schemas": {
      "Message": {
        "type": "object",
        "properties": {
          "desc": {
            "type": "string",
            "example": "Example status description"
          },
          "type": {
            "enum": [
              "ERROR",
              "WARN",
              "INFO"
            ],
            "type": "string",
            "example": "ERROR"
          }
        },
        "required": [
          "desc"
        ]
      },
      "ResponseStatus": {
        "type": "object",
        "properties": {
          "code": {
            "type": "number",
            "example": 200
          },
          "desc": {
            "type": "string",
            "example": "success"
          },
          "messages": {
            "example": [
              {
                "desc": "Example description"
              }
            ],
            "type": "array",
            "items": {
              "$ref": "#/components/schemas/Message"
            }
          }
        }
      },
      "BankAccountLookupResultsResponseData": {
        "type": "object",
        "properties": {
          "accountBalance": {
            "type": "number",
            "nullable": true
          }
        }
      },
      "BankAccountTransactionStatusResponseData": {
        "type": "object",
        "properties": {
          "refreshTransactionStatus": {
            "enum": [
              "IN_PROGRESS",
              "COMPLETED",
              "FAILED"
            ],
            "type": "string",
            "description": "The status of the transaction",
            "example": "IN_PROGRESS"
          },
          "refreshTransactionId": {
            "type": "string",
            "description": "The id of the asyncronous transaction",
            "example": "53ec068e-3ae0-4e40-826e-eaa007e1426f"
          },
          "extRequestId": {
            "type": "string",
            "description": "The external id for the refresh",
            "example": "53ec068e-3ae0-4e40-826e-eaa007e1426f"
          },
          "userId": {
            "type": "string",
            "description": "The id of the user for the bank account",
            "example": "53ec068e-3ae0-4e40-826e-eaa007e1426f"
          },
          "bankAccountId": {
            "type": "string",
            "description": "Id of the bank account",
            "example": "53ec068e-3ae0-4e40-826e-eaa007e1426f"
          },
          "nextEligibleRefreshOn": {
            "type": "number",
            "nullable": true,
            "description": "The earliest timestamp that the capability will be available, if applicable."
          },
          "results": {
            "description": "The output results of the bank account lookup",
            "allOf": [
              {
                "$ref": "#/components/schemas/BankAccountLookupResultsResponseData"
              }
            ]
          }
        },
        "required": [
          "refreshTransactionStatus",
          "refreshTransactionId",
          "extRequestId",
          "userId",
          "bankAccountId",
          "results"
        ]
      },
      "BankAccountTransactionStatusResponse": {
        "type": "object",
        "properties": {
          "status": {
            "$ref": "#/components/schemas/ResponseStatus"
          },
          "data": {
            "$ref": "#/components/schemas/BankAccountTransactionStatusResponseData"
          }
        },
        "required": [
          "status",
          "data"
        ]
      }
    }
  }
}
```